Package com.avaya.clientservices.collaboration.contentsharing

## Interface ContentSharingListener

- All Known Implementing Classes:
    `ContentSharingRenderer`

      public interface ContentSharingListener

  ContentSharingListener is registered as an observer of content sharing status update notifications.

  The client application is notified about content sharing status updates reported by the collaboration server through the ContentSharingListener object. These updates may be the result of local operations on the `ContentSharing` object as well as remote changes initiated by either the server or other users on the collaboration call.

  To get notification via ContentSharingListener and still have sharing view working, it is necessary to create an object which will be passed to `ContentSharing` as its listener and it will invoke the proper methods on the listener object.

  See Also:
    `ContentSharing`, `ContentSharing.addListener(ContentSharingListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onContentSharingEnded​(ContentSharing session)` | Reports that content sharing session has been ended either locally or remotely.
    `void` | `onContentSharingPaused​(ContentSharing session)` | Reports that content sharing session has been paused either locally or remotely.
    `void` | `onContentSharingResumed​(ContentSharing session)` | Reports that content sharing session has been resumed either locally or remotely.
    `void` | `onContentSharingStarted​(ContentSharing session, Participant participant)` | Reports that content sharing session has been started either locally or remotely
    `void` | `onCursorReceived​(ContentSharing contentSharing, Point position)` | Sends information about cursor position of the participant who shares screen.
    `void` | `onSharingFrameReceived​(ContentSharing contentSharing, Size size)` | Reports that entire content sharing frame was received from server.

- - ### Method Detail

    - #### onContentSharingStarted

          void onContentSharingStarted​(ContentSharing session,
                                       Participant participant)

      Reports that content sharing session has been started either locally or remotely
      Parameters:
        `session` - content sharing session the callback is associated with.
        `participant` - data of participant who started content sharing.

    - #### onContentSharingEnded

          void onContentSharingEnded​(ContentSharing session)

      Reports that content sharing session has been ended either locally or remotely.
      Parameters:
        `session` - content sharing session the callback is associated with.

    - #### onContentSharingPaused

          void onContentSharingPaused​(ContentSharing session)

      Reports that content sharing session has been paused either locally or remotely.
      Parameters:
        `session` - content sharing session the callback is associated with.

    - #### onContentSharingResumed

          void onContentSharingResumed​(ContentSharing session)

      Reports that content sharing session has been resumed either locally or remotely.
      Parameters:
        `session` - content sharing session the callback is associated with.

    - #### onCursorReceived

          void onCursorReceived​(ContentSharing contentSharing,
                                Point position)

      Sends information about cursor position of the participant who shares screen.
      Parameters:
        `contentSharing` - content sharing object.
        `position` - cursor position.

    - #### onSharingFrameReceived

          void onSharingFrameReceived​(ContentSharing contentSharing,
                                      Size size)

      Reports that entire content sharing frame was received from server. It indicates that the client screen sharing is ready to be shown to the user. Size parameter lets the client properly update UI with sharing size if needed.
      Parameters:
        `contentSharing` - content sharing object.
        `size` - size of received sharing frame.